import { Collection, MongoClient, Db } from "mongodb";
import { JsonObject } from "./types";
export declare function mongodb(serverUri: string, dbName: string): Promise<{
    client: MongoClient;
    db: Db;
}>;
/**
 * Retrieves the stored JSON Schema from a MongoDB collection
 */
export declare function getCollectionSchema(col: Collection): Promise<JsonObject | undefined>;
/**
 * Retrieves a list of JSON Schemas for each collection of the MongoDB server
 */
export declare function getAllServerSchemas(serverUri: string, dbName: string): Promise<{
    collectionName: string;
    schema: JsonObject | undefined;
}[]>;
//# sourceMappingURL=mongodb.d.ts.map